#define pin_tone      7  //пин зуммера
#define pin_tocka     10 //пин для точки
#define pin_tire      11 //пин для тире
#define pin_cw        3  //пин обычный ключ
#define pin_led       0  //пин светодиода для Attiny88

#define pin_skor_up   5 //скорость больше
#define pin_skor_down 4//скорость меньше

#define pin_freq_up   9//частота тона больше
#define pin_freq_down 6//частота тона меньше

int frequency  = 800;//частота по умолчанию Гц
int time_tocka =   50;//длительность точки мсек
int time_tire  = time_tocka * 4;//длительность тире

void setup()
{
  pinMode(pin_cw, INPUT_PULLUP);
  pinMode(pin_tocka, INPUT_PULLUP); //точка
  pinMode(pin_tire, INPUT_PULLUP);  //тире
  pinMode(pin_tone, OUTPUT);
  pinMode(pin_led, OUTPUT);
  pinMode(pin_skor_up, INPUT_PULLUP);
  pinMode(pin_skor_down, INPUT_PULLUP);
  pinMode(pin_freq_up, INPUT_PULLUP);
  pinMode(pin_freq_down, INPUT_PULLUP);

  digitalWrite(pin_led, 1); //пропишим Hi при загрузке
  tone(pin_tone, frequency, time_tocka);
  delay(time_tocka * 2);
  tone(pin_tone, frequency, time_tocka);
  delay(time_tocka * 2);
  tone(pin_tone, frequency, time_tocka);
  delay(time_tocka * 2);
  tone(pin_tone, frequency, time_tocka);
  delay(time_tocka * 4);

  tone(pin_tone, frequency, time_tocka);
  delay(time_tocka * 2);
  tone(pin_tone, frequency, time_tocka);
  delay(time_tocka * 2);
  digitalWrite(pin_led, 0);
}

void loop()
{
  if (digitalRead(pin_tocka) == LOW) {//ваыдаем точку
    digitalWrite(pin_led, 1);
    tone(pin_tone, frequency, time_tocka);
    delay(time_tocka * 2);
    noTone(pin_tone);
    digitalWrite(pin_led, 0);
  }
  else {
    if (digitalRead(pin_tire) == LOW) {//выдаем тире
      digitalWrite(pin_led, 1);
      tone(pin_tone, frequency, time_tire);
      delay(time_tocka * 5);
      noTone(pin_tone);
      digitalWrite(pin_led, 0);
    }
    else {
      if (digitalRead(pin_cw) == LOW) {//для обычного ключа выдаем тон
        digitalWrite(pin_led, 1);
        tone(pin_tone, frequency, 1000);
        digitalWrite(pin_led, 0);
      }
      else {
        if (digitalRead(pin_skor_up) == LOW) {//увеличиваем скорость на +5мсек
          time_tocka = time_tocka + 5;
          time_tire = time_tocka * 4;
          tone(pin_tone, frequency, time_tire);
          delay(500);
        }
        else {
          if (digitalRead(pin_skor_down) == LOW) {//уменьшаем скорость скорость на -5мсек
            time_tocka = time_tocka - 5;
            time_tire = time_tocka * 4;
            tone(pin_tone, frequency, time_tire);
            delay(500);
          }
          else {
            if (digitalRead(pin_freq_up) == LOW) {//увеличиваем тон на 50Гц
              frequency = frequency + 50;
              tone(pin_tone, frequency, time_tire);
              delay(500);
            }
            else {
              if (digitalRead(pin_freq_down) == LOW) {//уменьшаем тон на 50Гц
                frequency = frequency - 50;
                tone(pin_tone, frequency, time_tire);
                delay(500);
              }
              else
              {
                noTone(pin_tone);
              }
            }
          }
        }
      }
    }
  }
}
